<template>
  <!-- 设备连接告警 -->
  <div class="leakage-cable"> 
     <el-button-group>
        <el-button v-for="item in tabs" :key="item.key" :type="activeName === item.key ? 'primary' : ''" @click="changeType(item)">{{ item.label }}</el-button>
      </el-button-group>
    <div class="leakage-top">
    
       <div style="color: #666666"></div>
      <div class="operate-btn">
        <el-button type="primary">刷新</el-button>
        <el-button type="primary">查询</el-button>
        <el-button type="primary">导出</el-button>
      </div>
    </div>
   
    <el-table :data="tableData2" style="width: 100%" :cell-class-name="cellClassFn" :header-cell-style="{background:'#EAF1FE',color:'#666666'}">
      <el-table-column prop="equipment1" label="网元设备" align="center" />
      <el-table-column prop="state1" label="连接状态" align="center" />
      <el-table-column prop="equipment2" label="网元设备" align="center" />
      <el-table-column prop="uploadDate" label="上传时间" align="center" />
      <el-table-column prop="confirmUser" label="确认人" align="center" />
      <el-table-column prop="confirmTime" label="确认时间" align="center" />
      <el-table-column
        fixed="right"
        label="操作"
        align="center"
        width="100">
        <template slot-scope="scope">
          <el-button type="text">确认</el-button>
        </template>
      </el-table-column>
    </el-table>
    <pagination
      :limit="searchForm.pageSize"
      :page="searchForm.pageNum"
      :total="total"
      class="pagination"
      @pagination="handlePageChange"
    />
  </div>
</template>

<script>
import Pagination from '@/components/Pagination'
import { tableData } from './const'
export default {
  components: { Pagination },
  data() {
    return {
      searchForm: {
        pageNum: 1,
        pageSize: 10
      },
      total: 10,
      tableData2:[],
      tableData,
      activeName: '0',
      tabs: [
        {
          label: '全部',
          key: '0'
        },
        {
          label: '已确认',
          key: '1'
        },
        {
          label: '未确认',
          key: '2'
        }
      ],
    };
  },
  methods: {
    // 表格背景图颜色
    cellClassFn({row, column, rowIndex, columnIndex}) {
      if ((row.state1 == '连接正常' && column.property == 'state1')) {
        return 'green'
      }
      if ((row.state1 == '连接异常' && column.property == 'state1')) {
        return 'red'
      }
      if ((row.state2 == '连接正常' && column.property == 'state2')) {
        return 'green'
      } else if ((row.state2 == '连接异常' && column.property == 'state2')) {
        return 'red'
      }
      if (rowIndex%2 == 1) {
        return 'stripe'
      }
    },
    handlePageChange(pageData) {
      this.searchForm.pageSize = pageData.size
      this.searchForm.pageNum = pageData.page
         this.getTableData()
    },
      getTableData() {
      this.tableData2 = this.tableData.slice(( this.searchForm.pageNum - 1) * this.searchForm.pageSize,
         this.searchForm.pageNum * this.searchForm.pageSize
      );
      this.total = this.tableData.length
  
    },
    changeType(item) {
      this.activeName = item.key
    },
   },
  mounted() {
    this.getTableData()
  },
};
</script>

<style lang="scss" scoped>
.leakage-cable {
  .leakage-top {
    margin-bottom: 20px;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
  }
  & ::v-deep .cell {
    color: #333333;
  }
  & ::v-deep .stripe {
    background-color: #EAF1FE;
  }
  & ::v-deep .red {
    background-color: #f00;
  }
  & ::v-deep .green {
    background-color: green;
  }
  .page {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
    .pageNum {
      margin: 0 20px;
    }
  }
}
</style>
